/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/core/date/UniversalDate'],function(q,U){"use strict";var Y={};Y.render=function(r,y){var t=y.getTooltip_AsString();var I=y.getId();var c=y._getDate();var C=c.getUTCFullYear();var a=y.getYears();var b=y.getColumns();var w="";r.write("<div");r.writeControlData(y);r.addClass("sapUiCalYearPicker");r.writeClasses();if(t){r.writeAttributeEscaped('title',t);}r.writeAccessibilityState(y,{role:"grid",readonly:"true",multiselectable:"false"});r.write(">");var d=y._newUniversalDate(c);d.setUTCFullYear(d.getFullYear()-Math.floor(a/2));var e=false;var f=y._checkFirstDate(d);if(f.getTime()!=d.getTime()){d=f;e=true;}if(b>0){w=(100/b)+"%";}else{w=(100/a)+"%";}for(var i=0;i<a;i++){var s=y._oFormatYyyymmdd.format(d.getJSDate(),true);var A={role:"gridcell"};var E=true;if(e){E=y._checkDateEnabled(d);}if(b>0&&i%b==0){r.write("<div");r.writeAccessibilityState(null,{role:"row"});r.write(">");}r.write("<div");r.writeAttribute("id",I+"-y"+s);r.addClass("sapUiCalItem");if(d.getUTCFullYear()==C){r.addClass("sapUiCalItemSel");A["selected"]=true;}else{A["selected"]=false;}if(!E){r.addClass("sapUiCalItemDsbl");A["disabled"]=true;}r.writeAttribute("tabindex","-1");r.writeAttribute("data-sap-year-start",s);r.addStyle("width",w);r.writeClasses();r.writeStyles();r.writeAccessibilityState(null,A);r.write(">");r.write(y._oYearFormat.format(d,true));r.write("</div>");d.setUTCFullYear(d.getUTCFullYear()+1);if(b>0&&((i+1)%b==0)){r.write("</div>");}}r.write("</div>");};return Y;},true);
